import matplotlib.pyplot as plt
from simpleRegSub import Ccalc

pairs = [[70, 168], [68, 165], [62, 159], [56, 156], [70, 170],
         [64, 162], [59, 162], [70, 169], [68, 168], [69, 170],
         [67, 168], [63, 166], [58, 163], [74, 170], [65, 168],
         [60, 160], [65, 165], [72, 175], [61, 164], [77, 174],
         [68, 164], [64, 161], [70, 166], [47, 147], [66, 165],
         [68, 170], [73, 174], [74, 172], [63, 164], [83, 182],
         [58, 159], [64, 166], [67, 167], [75, 174], [67, 163],
         [68, 166], [68, 167], [66, 165], [63, 165], [55, 154],
         [61, 163], [60, 160], [62, 164], [62, 160], [59, 160],
         [51, 155], [59, 163], [68, 170], [56, 157], [79, 180]]

calc_p = Ccalc(pairs)
t, df, p, r, a, b = calc_p.calc()

print("\nt = %f     df = %d"%(t, df))
print("Prob(x < %f) = %f       Prob(x > %f) = %f     df = %d"%(t, p, t, 1.0 - p, df))
print("\nY = %f * X + %f"%(a, b))

min_x = max_x = pairs[0][0]
min_y = max_y = pairs[0][1]
for v in pairs:
    if min_x > v[0]:
        min_x = v[0]
    if max_x < v[0]:
        max_x = v[0]
    if min_y > v[1]:
        min_y = v[1]
    if max_y < v[1]:
        max_y = v[1]

reg_min = a * min_x + b
reg_max = a * max_x + b

xdata = []
ydata = []
for v in pairs:
    xdata.append(v[0])
    ydata.append(v[1])

plt.xlabel("X")
plt.ylabel("Y")
plt.title("Y = %f * X + %f     r = %.3f"%(a, b, r))
plt.plot(xdata, ydata, 'go')
plt.plot([min_x, max_x], [reg_min, reg_max])
plt.show()
